/**
 *  手太欠
 *  5g获客星光网 - 商城
 */

const app = getApp();

Page({

    /**
     * 页面的初始数据
     */
    data: {
        type           : '',                     //列表类型  hotCut为优惠特卖   couponCut为免费券专区
        title          : '请输入查找的关键字',    //搜索关键字标题
        sortId         : '',                    //行业分类id
        dataArr        : [],                    //列表数据
        page           : {},                    //分页信息
        lodingStats    : false,                 //加载状态
        ordertype      : '',                    //排序类型  price为价格  sell为销量
        orderasc       : '',                    //排序方式  asc为正序    desc为倒序
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        this.setData({
            type    : options.type,
            title   : options.title,
            sortId  : options.sort
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow () {
        // 拉取商品列表数据
        this.goosInfo();
    },

    /**
     * 商品列表数据
     */
    goosInfo(page) {
        let title       = this.data.title,
            orderasc    = this.data.orderasc,
            ordertype   = this.data.ordertype

        if(this.data.type == 'hotCut') {
            wx.$api.mall.hotData({
                title       : title || '',
                category_id : this.data.sortId || '', 
                orderasc    : orderasc,
                ordertype   : ordertype,
                page        : page || '',
            }).then(res=>{
                let listArr = this.data.dataArr,
                newData = []
                if(page == 1 || page == undefined) listArr = []
                newData = listArr.concat(res.data)
                this.setData({
                    dataArr     : newData,
                    page        : res.page,
                    lodingStats : false
                })
                wx.stopPullDownRefresh()
            })
        } else if(this.data.type == 'couponCut') {
            wx.$api.mall.freeData({
                title       : title || '',
                category_id : this.data.sortId || '', 
                orderasc    : orderasc,
                ordertype   : ordertype,
                page        : page || '',
            }).then(res=>{
                let listArr = this.data.dataArr,
                newData = []
                if(page == 1 || page == undefined) listArr = []
                newData = listArr.concat(res.data)
                this.setData({
                    dataArr     : newData,
                    page        : res.page,
                    lodingStats : false
                })
                wx.stopPullDownRefresh()
            })
        } else {
            wx.$api.mall.lists({
                title       : title || '',
                category_id : this.data.sortId || '', 
                orderasc    : orderasc,
                ordertype   : ordertype,
                page        : page || '',
            }).then(res=>{
                let listArr = this.data.dataArr,
                newData = []
                if(page == 1 || page == undefined) listArr = []
                newData = listArr.concat(res.data)
                this.setData({
                    dataArr     : newData,
                    page        : res.page,
                    lodingStats : false
                })
                wx.stopPullDownRefresh()
            })
        }
    },

    /**
     * 销量排序
     */
    orderTap (e) {
        let type    = e.currentTarget.dataset.type
        this.setData({
            ordertype       : type,
        })
        if (this.data.orderasc == 'asc') {
            this.setData({
                orderasc        : 'desc',
            })
        } else {
            this.setData({
                orderasc        : 'asc',
            })
        }

        // 拉取商品列表数据
        this.goosInfo();
    },

    /**
     * 综合推荐
     */
    emptyTap() {
        this.setData({
            orderasc    : '',
            ordertype   : ''
        })

        // 拉取商品列表数据
        this.goosInfo();
    },

    /**
     * 商品本页面搜索
     */
    confirmTap(event) {
        let searchvalue = event.detail.value
        this.setData({
            title   : searchvalue
        })

        // 拉取商品列表数据
        this.goosInfo();
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 拉取商品列表数据
        this.goosInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取为您推荐
            this.goosInfo(pageNumber);
        }
    }
    
})